package net.sf.jasperreports.engine.fill;

import net.sf.jasperreports.engine.JRChartDataset;
import net.sf.jasperreports.engine.JRElementDataset;
import org.jfree.data.general.Dataset;

public abstract class JRFillChartDataset extends JRFillElementDataset implements JRChartDataset {
  protected JRFillChartDataset(JRChartDataset dataset, JRFillObjectFactory factory) {
    super((JRElementDataset)dataset, factory);
  }
  
  public Dataset getDataset() {
    increment();
    return getCustomDataset();
  }
  
  public abstract Dataset getCustomDataset();
}
